curl -X GET "https://api.chipipay.com/v1/chipi-wallets/by-user?externalUserId=user_123" \
-H "Authorization: Bearer sk_prod_xxxx" \
-H "x-api-key: pk_xxxx" \
-H "Content-Type: application/json"
const response = await fetch(
"https://api.chipipay.com/v1/chipi-wallets/by-user?externalUserId=user_123",
{
method: "GET",
headers: {
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
"Content-Type": "application/json"
}
}
);
const wallet = await response.json();
import requests
response = requests.get(
"https://api.chipipay.com/v1/chipi-wallets/by-user",
params={"externalUserId": "user_123"},
headers={
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
}
)
wallet = response.json()
{
"id": "wallet_abc123",
"externalUserId": "user_123",
"organizationId": "org_xyz",
"apiPublicKey": "pk_xxxx",
"publicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"normalizedPublicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"encryptedPrivateKey": "U2FsdGVkX1...",
"isDeployed": true,
"walletType": "CHIPI",
"chain": "STARKNET",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
{
"error": "wallet_not_found",
"message": "No wallet found for this user"
}
Wallets
Get Wallet
Retrieve a wallet by external user ID
GET
/
chipi-wallets
/
by-user
curl -X GET "https://api.chipipay.com/v1/chipi-wallets/by-user?externalUserId=user_123" \
-H "Authorization: Bearer sk_prod_xxxx" \
-H "x-api-key: pk_xxxx" \
-H "Content-Type: application/json"
const response = await fetch(
"https://api.chipipay.com/v1/chipi-wallets/by-user?externalUserId=user_123",
{
method: "GET",
headers: {
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
"Content-Type": "application/json"
}
}
);
const wallet = await response.json();
import requests
response = requests.get(
"https://api.chipipay.com/v1/chipi-wallets/by-user",
params={"externalUserId": "user_123"},
headers={
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
}
)
wallet = response.json()
{
"id": "wallet_abc123",
"externalUserId": "user_123",
"organizationId": "org_xyz",
"apiPublicKey": "pk_xxxx",
"publicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"normalizedPublicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"encryptedPrivateKey": "U2FsdGVkX1...",
"isDeployed": true,
"walletType": "CHIPI",
"chain": "STARKNET",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
{
"error": "wallet_not_found",
"message": "No wallet found for this user"
}
curl -X GET "https://api.chipipay.com/v1/chipi-wallets/by-user?externalUserId=user_123" \
-H "Authorization: Bearer sk_prod_xxxx" \
-H "x-api-key: pk_xxxx" \
-H "Content-Type: application/json"
const response = await fetch(
"https://api.chipipay.com/v1/chipi-wallets/by-user?externalUserId=user_123",
{
method: "GET",
headers: {
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
"Content-Type": "application/json"
}
}
);
const wallet = await response.json();
import requests
response = requests.get(
"https://api.chipipay.com/v1/chipi-wallets/by-user",
params={"externalUserId": "user_123"},
headers={
"Authorization": "Bearer sk_prod_xxxx",
"x-api-key": "pk_xxxx",
}
)
wallet = response.json()
{
"id": "wallet_abc123",
"externalUserId": "user_123",
"organizationId": "org_xyz",
"apiPublicKey": "pk_xxxx",
"publicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"normalizedPublicKey": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
"encryptedPrivateKey": "U2FsdGVkX1...",
"isDeployed": true,
"walletType": "CHIPI",
"chain": "STARKNET",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
{
"error": "wallet_not_found",
"message": "No wallet found for this user"
}
Authorizations
Bearer token — use your secret key (sk_prod_xxx) for server-side calls, or the user's JWT for client-side calls
Your Chipi public API key (pk_xxx)
Query Parameters
Your application's user identifier
Response
Wallet found
Internal wallet identifier
Your application's user identifier
The API key used to create this wallet
The wallet's Starknet address (account contract address)
Lowercase, zero-padded version of the public key
AES-encrypted private key (decryptable only with the user's encrypt key)
Whether the account contract has been deployed on-chain
Wallet account type. CHIPI uses OpenZeppelin account. READY uses Argent X account.
Available options:
CHIPI, READY Blockchain network identifier
Available options:
STARKNET, BASE, ARBITRUM, OPTIMISM, ROOTSTOCK, SCROLL, WORLDCHAIN Organization that owns this wallet
Was this page helpful?
⌘I
